[gnome-photos/gnome-3-30] build: Synchronize the Git submodules' remote URLs like GitLab CI/CD
- From: Debarshi Ray <debarshir src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-photos/gnome-3-30] build: Synchronize the Git submodules' remote URLs like GitLab CI/CD
- Date: Mon, 1 Oct 2018 13:46:23 +0000 (UTC)
commit 8b7bde57db2ecb2e4bdcccc0f1b99444cbf2a217
Author: Debarshi Ray <debarshir gnome org>
Date: Fri Sep 28 12:58:17 2018 +0200
build: Synchronize the Git submodules' remote URLs like GitLab CI/CD
See:
https://docs.gitlab.com/ce/ci/yaml/README.html#git-submodule-strategy
https://gitlab.gnome.org/GNOME/gnome-photos/merge_requests/62
autogen.sh | 1 +
meson.build | 1 +
2 files changed, 2 insertions(+)
---
diff --git a/autogen.sh b/autogen.sh
index 9b1180d1..9c4cd1a4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -22,6 +22,7 @@ if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
echo "" >&2
fi
+git submodule sync --recursive || exit 1
git submodule update --init --recursive || exit 1
autoreconf --verbose --force --install || exit 1
diff --git a/meson.build b/meson.build
index b6b680e9..9e95af91 100644
--- a/meson.build
+++ b/meson.build
@@ -31,6 +31,7 @@ top_inc = include_directories('.')
git = find_program('git')
if not photos_buildtype.contains('plain')
+ run_command(git, '-C', source_root, 'submodule', 'sync', '--recursive')
run_command(git, '-C', source_root, 'submodule', 'update', '--init', '--recursive')
endif
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]